%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           snappy
Version:        1.1.3
Release:        %mkrel 4
Summary:        Fast compression and decompression library
Group:          System/Libraries
License:        BSD
URL:            http://code.google.com/p/snappy/
Source0:        https://github.com/google/snappy/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gtest-devel

%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.


%package -n %{libname}
Summary:        Library of Snappy
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:	%{name} < 1.1.3-4

%description -n %{libname}
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.1.3-4

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure2_5x CXXFLAGS="%{optflags} -DNDEBUG" --disable-static
%make


%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc/snappy/
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
make check


%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libsnappy.so.%{major}{,.*}

%files -n %{develname}
%doc format_description.txt framing_format.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so


%changelog
* Thu Mar 17 2016 cjw <cjw> 1.1.3-4.mga6
+ Revision: 992303
- sync with 1.1.3-1
- obsolete snappy and snappy-devel packages

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.1.3-3.mga6
+ Revision: 978590
- First rebuild of the java stack
- sync package snappy with fedora
- imported package snappy

* Mon Aug 24 2015 joequant <joequant> 1.1.3-1.mga6
+ Revision: 868899
- update to 1.1.3

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 743386
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 689224
- Mageia 5 Mass Rebuild

* Sun Mar 23 2014 dglent <dglent> 1.1.2-1.mga5
+ Revision: 606759
- New version 1.1.2

* Sat Dec 14 2013 dglent <dglent> 1.1.1-1.mga4
+ Revision: 556733
- New version 1.1.1
- Remove comment based on fedora as the current version is much different now.
- Restore the version tag in devel package requires
- Remove br based on arch
- Change in devel requires from '%%{name}' to '%%{libname}'
- Add in provides '%%{name}-devel' in devel package
- Update spec
- Fix description of devel package
- Modify spec according Mageia policy for libraries
- imported package snappy

